//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;

struct stNameAdd {
	     char name[12+1];
	     char add[60+1];
};

extern "C" __declspec(dllexport) bool __stdcall ExeGetPah(LPCTSTR Path);
extern "C" __declspec(dllexport) stNameAdd __stdcall ExeInputDlg( stNameAdd data );
extern "C" __declspec(dllexport) void __stdcall VC_Draw( HDC hdc );


__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::BtnExeGetPahClick(TObject *Sender)
{
  //ExeGetPah( "Project2.exe" );    외부프로그램 실행
}
//---------------------------------------------------------------------------


void __fastcall TForm1::BtnExeInputDlgClick(TObject *Sender)
{
  stNameAdd data;
  AnsiString str;

  strcpy( data.name, "gsbsoft" );
  strcpy( data.add,  "Busan City" );
  data = ExeInputDlg( data );        // VC++로 만든 Dialog에 매개변수를 집어넣고 바뀐 값을 다시 Return

  str =  data.name;
  str += ", ";
  str += data.add;

  ShowMessage( str );
}
//---------------------------------------------------------------------------


void __fastcall TForm1::BtnVCDrawClick(TObject *Sender)
{
  VC_Draw( Image1->Canvas->Handle );   //그림에 원을 그려준다.
  Image1->Refresh();                   //현재 VC++로 된 고도의 지형을 그려주는 루틴이 있습니다.
}                                      //이것을 C++ Builder로 바꿀려고 하니 골치가 아파.. 시간도 별로 없고... 그래서 .. 이 방법으로 하려고 합니다.
//---------------------------------------------------------------------------


